---
title: "Lists a product's entry sections."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › entry

`GET /v1/stores/{store}/products/{product}/sections`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `entry:read`

## Path parameters

- `store` (`listSections.path.store`; string, required) — The store's id.
- `product` (`listSections.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/sections' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/sections';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/sections"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Lists a product's entry sections.

#### Example

```json
[
  {
    "section": "string",
    "entries": 0,
    "id": null
  }
]
```

Any of:

- `object`
- `object`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listSections.response.default.type`; string, required)
  - format `uri`
- `title` (`listSections.response.default.title`; string, required)
- `status` (`listSections.response.default.status`; integer, required)
- `detail` (`listSections.response.default.detail`; string, required)
- `code` (`listSections.response.default.code`; string, optional)
- `context` (`listSections.response.default.context`; object, optional)
- `reached_core` (`listSections.response.default.reached_core`; boolean, optional)
- `core_answer` (`listSections.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-sections/index.md
